| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_extented_min_max
Experimental extensions

Include <glm/gtx/extented_min_max.hpp> to use the features of this extension. More...

## Functions
template<typename T >
GLM_FUNC_DECL T | max (T const &x, T const &y, T const &z)
| Return the maximum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z)
| Return the maximum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, C< T > const &y, C< T > const &z)
| Return the maximum component-wise values of 3 inputs. More...
template<typename T >
GLM_FUNC_DECL T | max (T const &x, T const &y, T const &z, T const &w)
| Return the maximum component-wise values of 4 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z, typename C< T >::T const &w)
| Return the maximum component-wise values of 4 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, C< T > const &y, C< T > const &z, C< T > const &w)
| Return the maximum component-wise values of 4 inputs. More...
template<typename T >
GLM_FUNC_DECL T | min (T const &x, T const &y, T const &z)
| Return the minimum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z)
| Return the minimum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, C< T > const &y, C< T > const &z)
| Return the minimum component-wise values of 3 inputs. More...
template<typename T >
GLM_FUNC_DECL T | min (T const &x, T const &y, T const &z, T const &w)
| Return the minimum component-wise values of 4 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z, typename C< T >::T const &w)
| Return the minimum component-wise values of 4 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, C< T > const &y, C< T > const &z, C< T > const &w)
| Return the minimum component-wise values of 4 inputs. More...

## Detailed Description

Include <glm/gtx/extented_min_max.hpp> to use the features of this extension.

Min and max functions for 3 to 4 parameters.

## Function Documentation

GLM_FUNC_DECL T glm::max | ( | T const & | x,
|  | T const & | y,
|  | T const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL T glm::max | ( | T const & | x,
|  | T const & | y,
|  | T const & | z,
|  | T const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z,
|  | typename C< T >::T const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z,
|  | C< T > const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL T glm::min | ( | T const & | x,
|  | T const & | y,
|  | T const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL T glm::min | ( | T const & | x,
|  | T const & | y,
|  | T const & | z,
|  | T const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z,
|  | typename C< T >::T const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z,
|  | C< T > const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See also
  gtx_extented_min_max